## freepops-0.0.18.tar.gz

=== Makefile ===
include config

WHERE=/usr/local/
PREFIX=$(DESTDIR)$(WHERE)
VERSION=$(shell grep "\#define VERSION" config.h | cut -d \" -f 2)
MAKEFLAGS+=--no-print-directory
PWD=$(shell pwd)

H=@

#>----------------------------------------------------------------------------<#

help:
	$(H)ln -s buildfactory/debian . 1>/dev/null 2>/dev/null || true
	$(H)echo "Targets are:"
	$(H)echo "  all          - build it (remember to ./configure.sh first)"
	$(H)echo "  clean        - clean the source tree"
	$(H)echo "  distclean    - remove also the dist-* distributions"
	$(H)echo "  realclean    - clean and be ready for building to another arch"
	$(H)echo "  doc          - create developers documentation"
	$(H)echo "  install      - install it (linux/unix distribution independent)"
	$(H)echo "  uninstall    - uninstall it (linux/unix distribution independent)"
	$(H)echo "  buildfactory - build all distributions"
	$(H)echo
	$(H)echo "Default is all"
	$(H)sleep 2
	$(H)$(MAKE) all
	

all : modules src 
	$(H)echo -n

clean: 
	$(H)ln -s buildfactory/debian . 2>/dev/null || true
	$(H)echo "cleaning freepopsd"
	$(H)$(MAKE) -C src clean CONFIG=$(PWD)/config || true
	$(H)$(MAKE) -C modules clean CONFIG=$(PWD)/config || true
	$(H)$(MAKE) -C buildfactory clean CONFIG=$(PWD)/config || true
	$(H)rm -f core* *-stamp dh_clean
	$(H)rm -f doc/manual.ps doc/manual.pdf\
		doc/manual-it.ps doc/manual-it.pdf
distclean: clean
	$(H)rm -fr dist-*
	$(H)$(MAKE) -C doc/manual clean

realclean: distclean
	$(H)rm -f config
	
doc: manual
	$(H)$(MAKE) -C modules doc CONFIG=$(PWD)/config

manual: doc/manual.pdf doc/manual-it.pdf
	
install: all
	$(H)mkdir -p $(PREFIX)
	$(H)mkdir -p $(PREFIX)bin
	$(H)mkdir -p $(PREFIX)share/freepops/lua/
	$(H)mkdir -p $(PREFIX)share/doc/freepops/
	$(H)mkdir -p $(PREFIX)share/man/man1/
	$(H)mkdir -p $(DESTDIR)/etc/freepops
	$(H)cp src/freepopsd$(EXECSUFFIX) $(PREFIX)bin
	$(H)cp src/lua/*.lua modules/include/*.lua config.lua \
		$(PREFIX)share/freepops/lua/
	$(H)cp doc/freepopsd.1  $(PREFIX)share/man/man1/
	$(H)cp doc/manual*.pdf  $(PREFIX)share/doc/freepops/ ||\
		cp doc/MANUAL.txt  $(PREFIX)share/doc/freepops/
	$(H)cp config.lua $(DESTDIR)/etc/freepops/

uninstall:
	$(H)rm -f $(DESTDIR)/etc/freepops/config.lua
	$(H)rm -f $(PREFIX)share/doc/freepops/manual.ps
	$(H)rm -f $(PREFIX)share/doc/freepops/manual-it.ps
	$(H)rm -f $(PREFIX)share/man/man1/freepopsd.1
	$(H)rm -f $(PREFIX)share/freepops/lua/*
	$(H)rm -f $(PREFIX)bin/freepopsd$(EXECSUFFIX)
	$(H)rmdir $(DESTDIR)/etc/freepops
	$(H)rmdir $(PREFIX)share/man/man1/
	$(H)rmdir $(PREFIX)share/doc/freepops/
	$(H)rmdir $(PREFIX)share/freepops/lua/
	$(H)rmdir $(PREFIX)share/freepops/
	$(H)-rmdir $(PREFIX)bin
	$(H)-rmdir $(PREFIX)

tgz-dist: 
	$(H)ln -s buildfactory/debian . 2>/dev/null || true
	$(H)CUR=`pwd`;\
		BASE=`basename $$CUR`;\
		cd ..;\
		tar -czf freepops.tgz $$BASE;\
		cd $$BASE;\
		[ -d dist-tgz ] || mkdir dist-tgz;\
		mv ../freepops.tgz dist-tgz/;\
		cd dist-tgz/;\
		tar -xzf freepops.tgz;\
		rm freepops.tgz;\
		cd $$BASE; $(MAKE) realclean;cd ..;\
		find $$BASE -name CVS -exec rm -fr \{\} \; 2>/dev/null;\
		mv $$BASE freepops-$(VERSION) || true;\
		tar -cf freepops-$(VERSION).tar freepops-$(VERSION);\
		gzip -9 freepops-$(VERSION).tar;\
		rm -r freepops-$(VERSION)
	
buildfactory:
	$(H)ln -s buildfactory/debian . 2>/dev/null || true
	$(H)$(MAKE) -C buildfactory all CONFIG=$(PWD)/config
	
#>----------------------------------------------------------------------------<#

modules: config
	$(H)ln -s buildfactory/debian . 2>/dev/null || true
	$(H)$(MAKE) -C modules all CONFIG="$(PWD)/config"
	
src: config
	$(H)echo "building freepopsd"
	$(H)$(MAKE) -C src all CONFIG="$(PWD)/config" PREFIX="$(PREFIX)" \
		FORCE_LINK="$(FORCE_LINK)"

doc/manual.pdf doc/manual-it.pdf: doc/manual/manual.tex doc/manual/manual-it.tex
	$(H)$(MAKE) -C doc/manual/

config:
	$(H)echo
	$(H)echo "Before running $(MAKE) you have to configure the building system"
	$(H)echo "running './configure'. Type './configure help' for more infos"
	$(H)echo
	$(H)exit 1



.PHONY: modules src doc buildfactory

=== buildfactory/Makefile ===
include $(CONFIG)

VERSION=$(shell grep "\#define VERSION" ../config.h | cut -d \" -f 2)

H=@

help:
	$(H)echo
	$(H)echo "here we build all the distributed packages"
	$(H)echo
	$(H)echo "Targets are: all dist-{osx,win,deb,rpm,gen,tgz,obsd}"
	$(H)echo

all: dist-deb dist-rpm dist-win dist-gen 

clean:
	$(H)rm -rf _*_ freepops-[0-9\.]*.tar.gz
	$(H)cd osx;rm -rf FreePOPs.app

dist-win: freepops-$(VERSION).tar.gz
	$(H)mkdir -p _win_/freepops
	$(H)[ -d _win_/freepops-$(VERSION) ] || \
		tar -xzf freepops-$(VERSION).tar.gz -C _win_
	$(H)cd _win_/freepops-$(VERSION);\
		./configure.sh win;\
		$(MAKE) all; \
		#$(MAKE) manual;
	$(H)cp _win_/freepops-$(VERSION)/src/freepopsd.exe _win_/freepops
	$(H)cp _win_/freepops-$(VERSION)/modules/lib/libpthread.dll \
		_win_/freepops
	$(H)cp _win_/freepops-$(VERSION)/src/lua/*.lua _win_/freepops/
	$(H)cp _win_/freepops-$(VERSION)/modules/include/*.lua _win_/freepops/
	$(H)cp _win_/freepops-$(VERSION)/config.lua _win_/freepops/
	$(H)#cp _win_/freepops-$(VERSION)/doc/manual.pdf _win_/freepops/
	$(H)#cp _win_/freepops-$(VERSION)/doc/manual-it.pdf _win_/freepops/

	$(H)cp _win_/freepops-$(VERSION)/COPYING _win_/freepops/COPYING.txt
	$(H)cp _win_/freepops-$(VERSION)/ChangeLog _win_/freepops/ChangeLog.txt

	$(H)unix2dos _win_/freepops/COPYING.txt
	$(H)unix2dos _win_/freepops/ChangeLog.txt

	$(H)sed 's/\%FREEPOPSVERSION/$(VERSION)/' freepops.nsi.in > \
		_win_/freepops/freepops.nsi

	$(H)xpm2wico -f freepops-setup.xpm _win_/freepops/freepops-setup.ico
	$(H)xpm2wico -f freepops-remove.xpm _win_/freepops/freepops-remove.ico
	
	$(H)cp /usr/local/cross-tools/i386-mingw32msvc/bin/libcurl-3.dll \
		_win_/freepops/libcurl-3.dll
	$(H)cp /usr/local/cross-tools/i386-mingw32msvc/bin/expat.dll \
		_win_/freepops/expat.dll
	$(H)/usr/local/cross-tools/i386-mingw32msvc/bin/strip \
		_win_/freepops/*.exe _win_/freepops/*.dll
	$(H)cd _win_/freepops/;\
		wine /usr/local/NSIS/makensis.exe freepops.nsi

	$(H)mkdir ../dist-win || true
	$(H)cp _win_/freepops/FreePOPs-$(VERSION).exe ../dist-win
	
	$(H)rm -r _win_

dist-rpm: freepops-$(VERSION).tar.gz
	$(H)mkdir -p _rpm_/build
	$(H)mkdir -p _rpm_/tmp
	$(H)sed 's/\%FREEPOPSVERSION/$(VERSION)/' freepops.spec.in > \
		_rpm_/freepops.spec
	$(H)cp freepops-$(VERSION).tar.gz _rpm_
	$(H)rpm --rcfile rpmrc -ba _rpm_/freepops.spec
	$(H)mkdir ../dist-rpm || true
	$(H)cp _rpm_/*.rpm ../dist-rpm
	$(H)rm -rf _rpm_
	
dist-gen:
	mkdir -p ../dist-gen || true
	@cp freepops.ebuild.gz \
		../dist-gen/freepops-$(VERSION).ebuild.gz

dist-deb: freepops-$(VERSION).tar.gz
	$(H)mkdir -p _deb_
	$(H)[ -d _deb_/freepops-$(VERSION) ] || \
		tar -xzf freepops-$(VERSION).tar.gz -C _deb_
	$(H)cd _deb_/freepops-$(VERSION);\
		./configure.sh linux;\
		dpkg-buildpackage -rfakeroot -us -uc
	$(H)mkdir -p ../dist-deb/freepops || true
	$(H)cp _deb_/*.tar.gz _deb_/*.deb _deb_/*.dsc _deb_/*.changes \
		../dist-deb/freepops
	$(H)lintian -i ../dist-deb/freepops/*.deb \
		../dist-deb/freepops/*.dsc ||true
	$(H)cd ../dist-deb/freepops/;echo "freepops optional mail" \
		> overridefile
	$(H)cd ../dist-deb/freepops/;dpkg-scanpackages . overridefile > Packages
	$(H)cd ../dist-deb/freepops/;dpkg-scansources . overridefile > Sources
	$(H)cd ../dist-deb/freepops/;gzip -f Packages Sources

	$(H)rm -rf _deb_

dist-osx: freepops-$(VERSION).tar.gz
	$(H)mkdir -p _osx_
	$(H)[ -d _osx_/freepops-$(VERSION) ] || \
		tar -xzf freepops-$(VERSION).tar.gz -C _osx_
	$(H)cd _osx_/freepops-$(VERSION);\
		./configure.sh osx;\
		$(MAKE) all
	$(H)mkdir -p ../dist-osx/FreePOPs/doc
	$(H)mkdir -p ../dist-osx/FreePOPs/src/lua
	$(H)mkdir -p ../dist-osx/FreePOPs/modules/include
	$(H)cp osx/README-osx.txt ../dist-osx/FreePOPs/
	$(H)cd _osx_/freepops-$(VERSION);\
		cp COPYING AUTHORS ChangeLog config.lua ../../../dist-osx/FreePOPs/
	$(H)cd _osx_/freepops-$(VERSION)/doc;\
		cp LP-FP-HOWTO.txt MANUAL.txt ../../../../dist-osx/FreePOPs/doc/
	$(H)cd _osx_/freepops-$(VERSION)/src;strip freepopsd;\
		cp freepopsd ../../../../dist-osx/FreePOPs/src/
	$(H)cd ../dist-osx/FreePOPs/;ln -s src/freepopsd freepopsd
	$(H)cd _osx_/freepops-$(VERSION)/src/lua;\
		cp *.lua ../../../../../dist-osx/FreePOPs/src/lua
	$(H)cd _osx_/freepops-$(VERSION)/modules/include;\
		cp *.lua ../../../../../dist-osx/FreePOPs/modules/include
	$(H)cat osx/ReadMe.en.txt > osx/Install_resources/English.lproj/ReadMe.txt
	$(H)cat _osx_/freepops-$(VERSION)/ChangeLog >> osx/Install_resources/English.lproj/ReadMe.txt
	$(H)cat osx/ReadMe.it.txt > osx/Install_resources/Italian.lproj/ReadMe.txt
	$(H)cat _osx_/freepops-$(VERSION)/ChangeLog >> osx/Install_resources/Italian.lproj/ReadMe.txt
	$(H)rm -rf _osx_

osx-app: freepops-$(VERSION).tar.gz Info.plist
	$(H)mkdir -p _osx_
	$(H)[ -d _osx_/freepops-$(VERSION) ] || \
		tar -xzf freepops-$(VERSION).tar.gz -C _osx_
	$(H)cd _osx_/freepops-$(VERSION);\
		./configure.sh osx;\
	$(H)cd _osx_;$(MAKE) all
	$(H)mkdir -p osx/FreePOPs.app/Contents/MacOS
	$(H)mkdir -p osx/FreePOPs.app/Contents/Resources/Italian.lproj
	$(H)mkdir -p osx/FreePOPs.app/Contents/Resources/English.lproj
	$(H)mkdir -p osx/FreePOPs.app/Contents/Resources/SharedSupport
	$(H)cp osx/Info.plist osx/FreePOPs.app/Contents/
	$(H)cd _osx_/freepops-$(VERSION)/src;strip freepopsd;\
		cp freepopsd ../../../osx/FreePOPs.app/Contents/MacOS/
	$(H)cp _osx_/freepops-$(VERSION)/src/lua/*.lua osx/FreePOPs.app/Contents/Resources/
	$(H)cp _osx_/freepops-$(VERSION)/modules/include/*.lua osx/FreePOPs.app/Contents/Resources/
	$(H)cp _osx_/freepops-$(VERSION)/*.lua osx/FreePOPs.app/Contents/Resources/
	$(H)echo "APPL????" > osx/FreePOPs.app/Contents/PkgInfo
	$(H)cp osx/freepops.icns osx/FreePOPs.app/Contents/Resources
	$(H)rm -f osx/Info.plist
	$(H)rm -rf _osx_

Info.plist:
	$(H)echo "<?xml version="1.0" encoding="UTF-8"?>" > osx/Info.plist
	$(H)echo "<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">" >> osx/Info.plist
	$(H)echo "<plist version="1.0">" >> osx/Info.plist
	$(H)echo "<dict>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleDevelopmentRegion</key>" >> osx/Info.plist
	$(H)echo "	<string>English</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleDisplayName</key>" >> osx/Info.plist
	$(H)echo "	<string>FreePOPs</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleExecutable</key>" >> osx/Info.plist
	$(H)echo "	<string>freepopsd</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleGetInfoString</key>" >> osx/Info.plist
	$(H)echo "	<string>$(VERSION), Copyright 2004 Alessio Caprari, Nicola Cocchiaro, Enrico Tassi, Simone Vellei</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleIconFile</key>" >> osx/Info.plist
	$(H)echo "	<string>freepops.icns</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleIdentifier</key>" >> osx/Info.plist
	$(H)echo "	<string>net.sf.freepops</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleInfoDictionaryVersion</key>" >> osx/Info.plist
	$(H)echo "	<string>6.0</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleName</key>" >> osx/Info.plist
	$(H)echo "	<string>FreePOPs</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundlePackageType</key>" >> osx/Info.plist
	$(H)echo "	<string>APPL</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleSignature</key>" >> osx/Info.plist
	$(H)echo "	<string>????</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleShortVersionString</key>" >> osx/Info.plist
	$(H)echo "	<string>$(VERSION)</string>" >> osx/Info.plist
	$(H)echo "	<key>CFBundleVersion</key>" >> osx/Info.plist
	$(H)echo "	<string>$(VERSION)</string>" >> osx/Info.plist
	$(H)echo "	<key>NSPrincipalClass</key>" >> osx/Info.plist
	$(H)echo "	<string>NSApplication</string>" >> osx/Info.plist
	$(H)echo "	<key>NSHumanReadableCopyright</key>" >> osx/Info.plist
	$(H)echo "	<string>Copyright 2004 Alessio Caprari, Nicola Cocchiaro, Enrico Tassi, Simone Vellei</string>" >> osx/Info.plist
	$(H)echo "</dict>" >> osx/Info.plist
	$(H)echo "</plist>" >> osx/Info.plist

dist-obsd:
	$(H)cd ..;./configure.sh obsd || true
	$(H)cd ..;$(MAKE) install
	$(H)cd openbsd;pkg_create -f CONTENTS -c COMMENT -d DESC \
	-D DISPLAY freepops-$(VERSION)
	$(H)gzip openbsd/freepops-$(VERSION)
	$(H)mv openbsd/freepops-$(VERSION).gz freepops-$(VERSION).tgz
	
freepops-$(VERSION).tar.gz: 
	$(H)cd ..;./configure.sh linux || true
	$(H)$(MAKE) -C .. tgz-dist
	$(H)cp ../dist-tgz/freepops-$(VERSION).tar.gz .

=== src/Makefile ===
include $(CONFIG)

# TARGET and PREFIX are passed

H=@

#get the files ################################################
HDR=$(shell ls *.h  2> /dev/null)

SRC=$(shell ls *.c *.pkg 2> /dev/null)

OBJ=$(subst .c,.o,$(subst .pkg,.o,$(SRC)))

CDEPFILES=$(shell ls *.c 2> /dev/null)
ifneq "$(CDEPFILES)" "" 
	-include $(CDEPFILES:%.c=.%.d)
endif

LDEPFILES=$(shell ls *.pkg 2> /dev/null)
ifneq "$(LDEPFILES)" "" 
	-include $(LDEPFILES:%.pkg=.%.d)
endif

#flags #######################################################
CFLAGS+= -I. -I../modules/include 

ifneq "$(OS)" "Windows"
	CFLAGS+= $(shell curl-config --cflags)
endif

ifeq "$(OS)" "Windows"
	CFLAGS+= -DFREEPOPSLUA_PATH=\"lua/\"
else
	CFLAGS+= -DFREEPOPSLUA_PATH=\"$(PREFIX)share/freepops/lua/\"
endif

ifeq "$(OS)" "Cygwin"
	CFLAGS+= -I/usr/include
endif

CURL_LD_FLAGS=$(shell curl-config --libs || true)
ifeq "$(CURL_LD_FLAGS)" ""
	CURL_LD_FLAGS= -lcurl
endif

EXPAT_LD_FLAGS= -lexpat


BINARY=freepopsd$(EXEEXTENSION)

LIBS=		crypto_lua	\
		regularexp_lua	\
		stringhack_lua	\
                browser_lua     \
                getdate_lua     \
                getdate         \
                curl_lua        \
                support_lua     \
                mlex_lua        \
                log_lua         \
                serialize_lua   \
                session_lua     \
                pop3server_lua  \
                pop3server      \
		portablesocket_lua \
		base64_lua	\
                portablesocket  \
                session         \
                dictionary      \
                lock            \
                pid             \
                mlex            \
                list            \
                base64          \
                log             \
                regularexp      \
                oscompatibility \
		luabind		\
		luaexpat	\
                luay            \
                lua             \
                lualib          
		
EXCLUDELIBS=	serialize_lua \
		browser_lua \
		support_lua
		
LIBSTOLINK=$(filter-out $(EXCLUDELIBS),$(LIBS))

LDFLAGS=$(FORCE_LINK)
		
ifeq "$(OS)" "Windows"
	#LIBS+= pthread winsystray regex 
	LDFLAGS+= -L ../modules/lib \
		-Wl,-whole-archive -lwinsystray -Wl,-no-whole-archive\
		$(addprefix -l,$(LIBSTOLINK)) \
		-lregex -lm -lcurl -lmingw32 -lwsock32 \
			-lpthread -lexpat -lgdi32 -mwindows

else
ifeq "$(OS)" "Darwin"
	LDFLAGS+=-L../modules/lib $(addprefix -l,$(LIBSTOLINK)) \
		-lgetopt -lm \
	 	-lpthread -L/usr/lib -L/sw/lib -lexpat -lcurl \
		-lcrypto -ldl -lssl -lcrypto -lz 
else
ifeq "$(OS)" "Darwin-static"
	LDFLAGS+=-L../modules/lib $(addprefix -l,$(LIBSTOLINK)) \
		-lgetopt -lm \
	 	-lpthread -L/usr/lib /usr/local/lib/libexpat.a \
		/usr/local/lib/libcurl.a /usr/local/lib/libdl.a \
		-lz -lssl -lcrypto
else
ifeq "$(OS)" "OpenBSD"
	LIBSTOLINK+= getopt
	LDFLAGS+=-L../modules/lib $(addprefix -l,$(LIBSTOLINK)) -lm -pthread \
		$(CURL_LD_FLAGS) $(EXPAT_LD_FLAGS)
else
ifeq "$(OS)" "FreeBSD"
        LIBSTOLINK+= getopt     
        LDFLAGS+=-L../modules/lib $(addprefix -l,$(LIBSTOLINK)) -lm -pthread \
                $(CURL_LD_FLAGS) $(EXPAT_LD_FLAGS)
else
ifeq "$(OS)" "Cygwin"
	LDFLAGS+= -L ../modules/lib \
		$(addprefix -l,$(LIBSTOLINK)) -lregex -lm -lpthread -lcurl \
		-lwsock32 -lexpat -lgdi32 -lz -lssl -lcrypto -lcygwin
else
ifeq "$(OS)" "BeOS"
	LDFLAGS+=-L ../modules/lib $(addprefix -l,$(LIBSTOLINK)) \
		-ldl -lpthread $(CURL_LD_FLAGS) $(EXPAT_LD_FLAGS) \
		-lbe -lsocket -lbind
else
	LDFLAGS+=-L ../modules/lib $(addprefix -l,$(LIBSTOLINK))\
		-ldl -lm -lpthread -lcrypto -rdynamic \
		$(CURL_LD_FLAGS) $(EXPAT_LD_FLAGS)

endif
endif	
endif
endif
endif
endif	
endif

#rules ####################################################
all: $(CDEPFILES:%.c=.%.d) $(LDEPFILES:%.pkg=.%.d) $(BINARY)
	$(H)echo -n

clean:
	$(H)rm -f $(CDEPFILES:%.c=.%.d) $(OBJ)\
		$(LDEPFILES:%.pkg=.%.d) $(LDEPFILES:%.pkg=%.c) \
		$(LDEPFILES:%.pkg=%.h) $(BINARY)

	
#############################################

$(BINARY): $(OBJ) $(addsuffix .a,$(addprefix ../modules/lib/lib,$(LIBS)))
	$(H)echo -n " linking "
#	$(H)$(RANLIB) ../modules/lib/libgetdate.a ../modules/lib/liblua.a
	$(H)$(RANLIB) $(addsuffix .a,$(addprefix ../modules/lib/lib,$(filter-out mlex_lua,$(LIBSTOLINK))))
	$(H)$(CC) -o $(BINARY) $(OBJ) $(LDFLAGS) 
	$(H)echo "$(BINARY)"
	
.%.d:%.c
	$(H)echo " building dep for $<"
	$(H)$(CC) $(CFLAGS) -MM $< > $@;

.%.d:%.pkg
	$(H)echo " building dep for $<"
	$(H)echo "$(subst .pkg,.o,$<) : $< " > $@ 

%.o:%.pkg
	$(H)echo -n " processing $< -> "
	$(H)$(PREFIX)/bin/tolua++ -S -H $(subst .pkg,.h,$<) -o $(subst .pkg,.c,$<) $<
	$(H)echo "$(subst .pkg,.c,$<)"
	$(H)echo -n " compiling $(subst .pkg,.c,$<) -> "
	$(H)$(CC) $(CFLAGS) -c $(subst .pkg,.c,$<) || \
		(mv -f $(subst .pkg,.c,$<) $(subst .pkg,.c,$<)~;exit 1)
	$(H)mv -f $(subst .pkg,.c,$<) $(subst .pkg,.c,$<)~ 
	$(H)echo "$@"

%.o:%.c
	$(H)echo -n " compiling $< -> "
	$(H)$(CC) $(CFLAGS) -c $<
	$(H)echo "$@"

	
.PHONY:all

=== doc/manual/Makefile ===
LATEX_HTML= \
	    -split +1\
	    -show_section_numbers\
	    -html_version 3.2\
	    -scalable_fonts\
	    -local_icons\
	    -antialias\
	    -antialias_text\
	    -top_navigation\
	    -bottom_navigation\
	    -next_page_in_navigation\
	    -previous_page_in_navigation

all: pdf html
	
pdf: manual.pdf manual-it.pdf
	@cp manual.pdf manual-it.pdf ../

html: macro.tex manual.tex manual-it.tex
	@echo Generating the HTML manuals
	@rm -rf html-manual/;mkdir html-manual/
	@latex2html -t "FreePOPs Manual"\
		-dir html-manual $(LATEX_HTML) manual.tex \
		2>log.log >log.log || true
	@rm -rf html-manual-it/;mkdir html-manual-it/
	@latex2html -t "Manuale di FreePOPs"\
		-dir html-manual-it $(LATEX_HTML) manual-it.tex \
		2>log.log >log.log || true

spell:
	@aspell -t -c manual.tex

spell-it:
	@aspell -t --lang=it -c manual-it.tex

%.pdf:%.ps
	@ps2pdf $< $@

%.ps:%.dvi
	@dvips -f $< > $@

%.dvi:%.tex macro.tex xml
	@echo Generating the PDF manuals
	@latex $<
	@latex $<
	@latex $<

xml:
	@DIR=`date +%s`;\
		mkdir -p /tmp/$$DIR;\
		cd ../../;\
		[ -e src/freepopsd ] || make all;\
		[ -e modules/bin/luafull ] || make all;\
		for X in src/lua/*.lua; do \
			src/freepopsd -x $$X 1> \
				/tmp/$$DIR/`basename $$X`.xml 2>/dev/null;\
		done;\
		for X in /tmp/$$DIR/*.xml; do \
			echo "Generating tex data for " `basename $$X`;\
			modules/bin/luafull \
				scripts/xml2tex.lua $$X it 1> \
				doc/manual/`basename $$X`.it.xmltex;\
			modules/bin/luafull \
				scripts/xml2tex.lua $$X en 1> \
				doc/manual/`basename $$X`.en.xmltex;\
			modules/bin/luafull \
				scripts/xml2tex.lua $$X it brief 1> \
				doc/manual/`basename $$X`.b.it.xmltex;\
			modules/bin/luafull \
				scripts/xml2tex.lua $$X en brief 1> \
				doc/manual/`basename $$X`.b.en.xmltex;\
		done;\
		rm -rf /tmp/$$DIR

clean:
	@rm -rf *.aux *.pdf *.dvi *.ps *.ps.gz *.log\
		*.toc *.lof *.lot *.bbl *.blg *.xmltex\
		html-manual html-manual-it manual.txt manual-it.txt

.PHONY: html pdf xml

=== modules/src/luafull/Makefile ===
include $(CONFIG)


ifeq "$(OS)" "Windows"
CFLAGS += -I$(PREFIX)/include -I. \
	-DUSE_DLOPEN=1
else
CFLAGS += -I$(PREFIX)/include -I. -DUSE_POPEN=1 \
	-DUSE_DLOPEN=1 -DUSE_READLINE=1 -DLUA_USERCONFIG=\"saconfig.c\"
endif


LDFLAGS += -L$(PREFIX)/lib
ifeq "$(OS)" "FreeBSD"
	LDFLAGS+= -llua -llualib -lm
else
 ifeq "$(OS)" "OpenBSD"
 	LDFLAGS+= -llua -llualib -lm
 else
   ifeq "$(OS)" "Cygwin"
 	LDFLAGS+= -llua -llualib -lm
   else
     ifeq "$(OS)" "BeOS"
        LDFLAGS+= -llua -llualib -ldl
     else
 	LDFLAGS+= -llua -llualib -lm -ldl
     endif
   endif
 endif
endif

ifeq "$(OS)" "Darwin"
LDFLAGS+= -lcrypto_lua -lgetdate_lua -lmlex_lua -lportablesocket_lua \
	-lluaexpat -lregularexp_lua \
	-lbase64_lua -lstringhack_lua -lcurl_lua \
	-lluabind -lgetdate -lmlex -lportablesocket -lbase64 \
	-lregularexp -llog -llist \
	-L/sw/lib/ -lexpat -lcurl -lcrypto -lreadline -lhistory \
	#-lcurses #-lncurses
else
ifeq "$(OS)" "Windows"
LDFLAGS+= -lcrypto_lua -lgetdate_lua -lmlex_lua -lportablesocket_lua \
	-lluaexpat -lregularexp_lua \
	-lbase64_lua -lstringhack_lua -lcurl_lua \
	-lluabind -lgetdate -lmlex -lportablesocket -lexpat -lregularexp \
	-lbase64 -lcurl -llog -llist -loscompatibility \
	-lpthread -lregex -lwsock32 -lcrypto
else
ifeq "$(OS)" "BeOS"
LDFLAGS+= -lcrypto_lua -lgetdate_lua -lmlex_lua -lportablesocket_lua \
	-lluaexpat -lregularexp_lua \
	-lbase64_lua -lstringhack_lua -lcurl_lua \
	-lluabind -lgetdate -lmlex -lportablesocket -lexpat -lregularexp \
	-lbase64 -lcurl -lcrypto -llog -llist -lreadline -lhistory \
	-lbe -lsocket -lbind -lpthread -lncurses
else
LDFLAGS+= -lcrypto_lua -lgetdate_lua -lmlex_lua -lportablesocket_lua \
	-lluaexpat -lregularexp_lua \
	-lbase64_lua -lstringhack_lua -lcurl_lua \
	-lluabind -lgetdate -lmlex -lportablesocket -lexpat -lregularexp \
	-lbase64 -lcurl -lcrypto -llog -llist -lreadline -lhistory \
	-lcurses -lncurses
endif
endif
endif

ifeq "$(OS)" "Windows"
	BINARIZE=echo -en \
		"\\043\\041/bin/sh\nwine $(PREFIX)/bin/luafull.exe \\044\\100">\
		luafull;\
		chmod a+x luafull
	BINARY=luafull.exe
	INST=cp luafull* $(PREFIX)/bin || true;\
	     ln -s $(PREFIX)/lib/libpthread.dll $(PREFIX)/bin/;\
	     ln -s $(PREFIX)/lib/libpthread.dll $(PREFIX)/..;\
	     ln -s /usr/local/cross-tools/i386-mingw32msvc/bin/expat.dll \
	     	$(PREFIX)/bin/;\
 	     ln -s /usr/local/cross-tools/i386-mingw32msvc/bin/expat.dll \
	     	$(PREFIX)/..;\
	     ln -s /usr/local/cross-tools/i386-mingw32msvc/bin/libcurl-3.dll \
	       $(PREFIX)/bin/;\
	     ln -s /usr/local/cross-tools/i386-mingw32msvc/bin/libcurl-3.dll \
	       $(PREFIX)/..
else
	BINARIZE=
	BINARY=luafull
	INST=cp luafull $(PREFIX)/bin || true
endif
H=@

all: $(PREFIX)/bin/luafull
	$(H)echo -n
	
$(PREFIX)/bin/luafull: luafull
	$(H)$(INST)
	
luafull:
	$(H)echo -n ' building luafull... '
#	$(H)[ -f ../../lib/liblua-host.a ] && \
#		( $(RANLIB) ../../lib/liblua-host.a; \
#		  $(RANLIB) ../../lib/liblualib-host.a )
	$(H)($(RANLIB) ../../lib/liblua-host.a; \
		$(RANLIB) ../../lib/liblualib-host.a; \
		$(RANLIB) ../../lib/liblua.a; \
		$(RANLIB) ../../lib/libluaexpat.a; \
		$(RANLIB) ../../lib/libgetdate.a )
	$(H)$(CC) $(CFLAGS) -o $(BINARY) lua.c $(LDFLAGS) || true
	$(H)$(BINARIZE)
	$(H)echo "done."

clean:
	$(H)rm -f lib/* bin/* luafull

=== buildfactory/debian/changelog ===
freepops (0.0.18-1) unstable; urgency=low

  * some fixes

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Mon, 27 Sep 2004 15:01:17 +0200

freepops (0.0.17-1) unstable; urgency=low

  * some sparse fixes

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Tue, 14 Sep 2004 14:35:32 +0200

freepops (0.0.16-1) unstable; urgency=low

  * burden of fixes plus xml

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Fri,  3 Sep 2004 20:55:18 +0200

freepops (0.0.15-1) unstable; urgency=low

  * owa/httpmail , xml, Txml, fix gmail,yahoo... tre.lua,aol.lua

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 21 Aug 2004 13:55:18 +0200

freepops (0.0.14-1) unstable; urgency=low

  * fix gmail. added yahoo.com 

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sun,  8 Aug 2004 13:39:49 +0200

freepops (0.0.13-1) unstable; urgency=low

  * fix all around + squirrelmail

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu, 15 Jul 2004 17:14:59 +0200

freepops (0.0.12-1) unstable; urgency=low

  * fix gmail and aggregator

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu,  8 Jul 2004 20:46:14 +0200

freepops (0.0.11-1) unstable; urgency=low

  * added bindings for regularep

 -- Enrico Tassi <tassi@garfield>  Thu,  8 Jul 2004 20:46:11 +0200

freepops (0.0.10-1) unstable; urgency=low

  * fixed lycos, luay fflush

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sun, 27 Jun 2004 18:52:29 +0200

freepops (0.0.9-1) unstable; urgency=low

  * fixed proxy, FILE* leak, tin.lua for >=1MB messages, common.lua

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Fri, 25 Jun 2004 19:45:45 +0200

freepops (0.0.8-1) unstable; urgency=low

  * some lyxos and doc improvements

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Tue, 22 Jun 2004 10:53:56 +0200

freepops (0.0.7-1) unstable; urgency=low

  * fixed gentoo

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sun, 20 Jun 2004 17:36:59 +0200

freepops (0.0.6-1) unstable; urgency=low

  * fixed lycos 

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 19 Jun 2004 15:30:33 +0200

freepops (0.0.5-1) unstable; urgency=low

  * lycos

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 19 Jun 2004 15:30:31 +0200

freepops (0.0.4-1) unstable; urgency=low

  * some fix, tolua++ removed

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Fri,  4 Jun 2004 16:51:42 +0200

freepops (0.0.3-1) unstable; urgency=low

  * implemented tin webmail

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu, 27 May 2004 12:35:44 +0200

freepops (0.0.2-1) unstable; urgency=low

  * moved to cURL

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu, 13 May 2004 19:20:25 +0200

freepops (0.0.1-1) unstable; urgency=low

  * first public release

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 1 May 2004 17:41:23 +0200

=== buildfactory/debian/control ===
Source: freepops
Section: mail
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@users.sourceforge.net>
Build-Depends: debhelper (>= 4.0.0), libexpat1-dev, libcurl3-dev | libcurl2-dev | libcurl-ssl-dev | libcurl-dev , tetex-extra, flex, bison, libreadline4-dev, gs-common, libssl-dev
Standards-Version: 3.6.1.0

Package: freepops
Architecture: any
Depends: ${shlibs:Depends}
Description: pop3 interface to webmails
 freepopsd is a daemon that acts as a local pop3 server, translating
 local pop3 command to remote http requests to the supported
 webmail sites.

Package: freepops-doc
Architecture: all
Depends: 
Description: FreePOPs user/developer manual
 This is the manual in pdf format for FreePOPs.

=== buildfactory/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	./configure.sh linux || true

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all WHERE=/usr/
	$(MAKE) manual WHERE=/usr/

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/freepops.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/freepops WHERE=/usr/

	mv $(CURDIR)/debian/freepops/usr/share/doc/freepops/*.pdf \
		$(CURDIR)/debian/freepops-doc/usr/share/doc/freepops-doc/

	#create the /etc/freepops/freepops.conf file
	DESTDIR=$(CURDIR)/debian/freepops; 			\
	FILE=$$DESTDIR/etc/default/freepops; 			\
	 echo "#####################################">  $$FILE;	\
	 echo "# configuration file for freepopsd.">> $$FILE;	\
	 echo "#                                    ">> $$FILE; \
	 echo "# man freepopsd for more info.     ">> $$FILE; \
	 echo "DAEMON_OPTS=\" -d\"">> $$FILE 	

	#istall the icon
	DESTDIR=$(CURDIR)/debian/freepops; 	\
	 cp modules/src/winsystray/freepops-32.xpm $$DESTDIR/usr/share/pixmaps/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -n
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
